WIN-911 System Requirements

 

 

 

WIN-911 3.17.5 System Requirements

WIN-911 Server

  • Personal Computer with dual core processor. Quad core processor is recommended.

(Please note: Two physical processor cores are required. A single processor core with hyper-threading enabled will not meet the system requirements.)

  • 4 GB of RAM or more. Additional RAM is recommended if additional programs are to be run simultaneously.

  • 4 GB of hard disk space.

  • Microsoft Windows 7/8/8.1/10 Professional Edition or Microsoft Server

  • Compatible OS environment - one of the following:

  • Microsoft® Windows® 7/8/8.1/10 (64-bit only), Professional Edition (or higher). Since Windows 10 has continuous updates, you should run the Windows update feature to get the latest software.

  • Microsoft® Windows® Server 2008 R2, Service Pack 1, Standard Edition (or higher). Since Windows Server 2008 has continuous updates, you should run the Windows update feature to get the latest software.

  • Microsoft® Windows® Server 2012, Standard Edition (or higher). Since Windows Server 2012 has continuous updates, you should run the Windows update feature to get the latest software.

  • Microsoft® Windows® Server 2012 R2, Standard Edition (or higher). Since Windows Server 2012 has continuous updates, you should run the Windows update feature to get the latest software.

  • Microsoft SQL Server 2008 R2 through 2014 (Express, Standard, and Enterprise Editions) Note: SQL Server 2014 Express (included with WIN-911) requires Microsoft .NET 3.5 and will also require SP1 for Server 2008 R2.

  • Microsoft SQL Server 2014 Express LocalDB will be installed.

  • Internet Information Services (IIS). Application Initialization will be installed for IIS 7.5 (Windows 7/2008 R2).

  • Microsoft .NET 4.0 required for install (.NET 4.5.1 will be installed)

  • Optional Notification Hardware:

++ TAPI Voice calls

  • TAPI voice modem

  • Dedicated analog phone line

VoIP calls

SIP compatible VoIP internet account or PBX

++ Supported VoIP Providers:

  • Skype Connect

  • Axvoice

  • SureVoIP

  • Gafachi

  • VoIPtalk

++ Mobile-911

  • Broadband always-on internet connection for Mobile-911 Server

  • iOS, Android and Blackberry devices for the Mobile-911 app.

++ Email

  • Email server with a DEDICATED Email account from which WIN-911 can send alarm messages and receive acknowledgement and report requests.

  • POP/IMAP for incoming & SMTP for outgoing messages.

++ SMS

  • MTC-G3 (GPRS), MTC-H5 (HSPA), and MTC-C2 (CDMA)

  • MTR-G3 (GPRS), MTR-H5 (HSPA), and MTR-C2 (CDMA)

  • MTCBA-G2 (GPRS) and MTCBA-C1 (CDMA). note: These modems do not support Unicode.

++ WIN-911 Client

  • Internet Explorer 8 through 11 for Windows

  • Microsoft Silverlight 5.1

SQL Server Requirements

WIN-911 uses an SQL Server database to store its configuration data. If an SQL Server is not already on your computer then it is important to take into consideration the requirements of the different versions of SQL Server. You can opt for the WIN-911 Launcher to install SQL Server Express 2014 for you, which is good for small to medium configurations (5,000 data points or less).

For more information about specific requirements for SQL Server installation and configuration, see Microsoft documentation available online.

"https://msdn.microsoft.com/en-us/library/bb545450.aspx"

  • WIN-911 is not compatible with a computer that has SQL Server 2000 installed.

  • In order to authenticate with a remote SQL Server, identical credentials must be configured on both machines and SQL instance must be configured with those credentials.

SQL Server not found on node: small configuration

If your install WIN-911 and an SQL Server instance named "WIN911" is not found, SQL Server 2014 Express can be installed as part of the installation process. This version of SQL Server is suited for small configurations, up to 5,000 data points, and is best suited for a single-node.

note: Server 2008 R2 requires SP1 in order to install SQL Server 2014.

SQL Server not found on node: medium and larger configurations

For medium and larger systems (over 5000 data points), the following versions are supported:

  • Recommended version: SQL Server 2012 SP1, Standard or Enterprise edition

  • SQL Server 2014, Standard or Enterprise edition

  • SQL Server 2012 SP2, Standard or Enterprise edition

  • SQL Server 2008 R2, Standard or Enterprise edition

For more information about the comparative capabilities of different SQL Server editions, see "Features Supported by the Different Versions of SQL Server 2012" at the following URL:

"http://msdn.microsoft.com/en-us/library/cc645993(v=SQL.110).aspx"

Compatible version of SQL Server already installed

If a compatible version of SQL Server is already installed and an instance named "WIN911" is available on the network or locally, WIN-911 Launcher installation will continue without interruption.

New version of SQL Server already installed

If a new version of SQL Server is already installed that has not yet been fully tested with WIN-911 products, a warning is displayed stating that the installed SQL version has not yet been tested. You can proceed with the installation, but we recommend that you contact WIN-911 customer support before proceeding to check if any issues have been found.

Incompatible version of SQL Server already installed

If an older version of SQL Server is already installed that is not supported for use with WIN-911 products, installation will stop and a warning will be displayed stating the SQL Server version is not compatible. You must exit the installation process and upgrade to a supported version of SQL Server before you can resume the installation.

Install SQL Server Express on remote network computer

If you would like to install SQL Server Express on a different computer than the WIN-911 host, you should copy the SQL Server Express folder provided with the WIN-911 install to the desired computer. Ensure that the installing user is an administrator with the same credentials as WIN-911's host user. Then run the WIN911SQL executable located in the root of the SQL Server Express folder.